export interface ExternalImageSupport {
    insert(file: File, done: (e: Error | null, src: string) => void, progress?: (percent: number, bytes: number, total: number) => void): any;
    delete(src: string, done: (e?: Error) => void): any;
}
export declare class DataURLImageSupport implements ExternalImageSupport {
    insert(file: File, done: (e: Error | null, src: string) => void, progressFn: (percent: number, bytes: number, total: number) => void): void;
    delete(src: string, done: (e?: Error) => void): void;
}
